org.apache.sling.scripting.thymeleaf.internal

## Class PatternTemplateModeProvider

- java.lang.Object
- - org.apache.sling.scripting.thymeleaf.internal.PatternTemplateModeProvider

All Implemented Interfaces:
  TemplateModeProvider

    public class PatternTemplateModeProvider
    extends Object
    implements TemplateModeProvider

### Constructor Summary

Constructors
Constructor and Description
`PatternTemplateModeProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.thymeleaf.templatemode.TemplateMode` `provideTemplateMode(org.apache.sling.api.resource.Resource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternTemplateModeProvider

    public PatternTemplateModeProvider()

### Method Detail

#### provideTemplateMode

    public org.thymeleaf.templatemode.TemplateMode provideTemplateMode(org.apache.sling.api.resource.Resource resource)

Specified by:
  `provideTemplateMode` in interface `TemplateModeProvider`